# Unfallkarte für Kreise und kreisfreie Städte in NRW

## Datenquelle

Darstellung aller Unfälle mit Personenschaden in Nordrhein-Westfalen. Datenquelle ist https://unfallatlas.statistikportal.de, die verwendeten Daten stehen unter einer [Datenlizenz Deutschland - Namensnennung - 2.0](https://www.govdata.de/dl-de/by-2-0)

## Kreisgrenzen

Quelle für die Kreisgrenzen ist 
http://opendatalab.de/projects/geojson-utilities/

Dort wird die vereinfachte Version exportiert.

## Direktlinks

* [Aachen (Städteregion)](https://unfallkarte.hpadm.de/aachen)
* [Bielefeld (kreisfreie Stadt)](https://unfallkarte.hpadm.de/bielefeld)
* [Bochum (kreisfreie Stadt)](https://unfallkarte.hpadm.de/bochum)
* [Bonn (kreisfreie Stadt)](https://unfallkarte.hpadm.de/bonn)
* [Borken](https://unfallkarte.hpadm.de/borken)
* [Bottrop (kreisfreie Stadt)](https://unfallkarte.hpadm.de/bottrop)
* [Coesfeld](https://unfallkarte.hpadm.de/coesfeld)
* [Dortmund (kreisfreie Stadt)](https://unfallkarte.hpadm.de/dortmund)
* [Duisburg (kreisfreie Stadt)](https://unfallkarte.hpadm.de/duisburg)
* [Düren](https://unfallkarte.hpadm.de/dueren)
* [Düsseldorf (kreisfreie Stadt)](https://unfallkarte.hpadm.de/duesseldorf)
* [Ennepe-Ruhr-Kreis](https://unfallkarte.hpadm.de/erk)
* [Essen (kreisfreie Stadt)](https://unfallkarte.hpadm.de/essen)
* [Euskirchen](https://unfallkarte.hpadm.de/euskrichen)
* [Gelsenkirchen (kreisfreie Stadt)](https://unfallkarte.hpadm.de/gelsenkirchen)
* [Gütersloh](https://unfallkarte.hpadm.de/guetersloh)
* [Hagen (kreisfreie Stadt)](https://unfallkarte.hpadm.de/hagen)
* [Hamm (kreisfreie Stadt)](https://unfallkarte.hpadm.de/hamm)
* [Heinsberg](https://unfallkarte.hpadm.de/heinsberg)
* [Herford](https://unfallkarte.hpadm.de/herford)
* [Herne (kreisfreie Stadt)](https://unfallkarte.hpadm.de/herne)
* [Hochsauerlandkreis](https://unfallkarte.hpadm.de/hochsauerlandkreis)
* [Höxter](https://unfallkarte.hpadm.de/hoexter)
* [Kleve](https://unfallkarte.hpadm.de/kleve)
* [Köln (kreisfreie Stadt)](https://unfallkarte.hpadm.de/koeln)
* [Krefeld (kreisfreie Stadt)](https://unfallkarte.hpadm.de/krefeld)
* [Leverkusen (kreisfreie Stadt)](https://unfallkarte.hpadm.de/leverkusen)
* [Lippe](https://unfallkarte.hpadm.de/lippe)
* [Märkischer Kreis](https://unfallkarte.hpadm.de/maerkischerkreis)
* [Mettmann](https://unfallkarte.hpadm.de/mettmann)
* [Minden-Lübbecke](https://unfallkarte.hpadm.de/minden-luebbecke)
* [Mönchengladbach (kreisfreie Stadt)](https://unfallkarte.hpadm.de/moenchengladbach)
* [Mülheim an der Ruhr (kreisfreie Stadt)](https://unfallkarte.hpadm.de/muelheim)
* [Münster (kreisfreie Stadt)](https://unfallkarte.hpadm.de/muenster)
* [Oberbergischer Kreis](https://unfallkarte.hpadm.de/oberbergischerkreis)
* [Oberhausen (kreisfreie Stadt)](https://unfallkarte.hpadm.de/oberhausen)
* [Olpe](https://unfallkarte.hpadm.de/olpe)
* [Paderborn](https://unfallkarte.hpadm.de/paderborn)
* [Recklinghausen](https://unfallkarte.hpadm.de/recklinghausen)
* [Remscheid (kreisfreie Stadt)](https://unfallkarte.hpadm.de/remscheid)
* [Rhein-Erft-Kreis](https://unfallkarte.hpadm.de/rek)
* [Rhein-Kreis Neuss](https://unfallkarte.hpadm.de/neuss)
* [Rhein-Sieg-Kreis](https://unfallkarte.hpadm.de/rsk)
* [Rheinisch-Bergischer Kreis](https://unfallkarte.hpadm.de/rbk)
* [Siegen-Wittgenstein](https://unfallkarte.hpadm.de/siegen-wittgenstein)
* [Soest](https://unfallkarte.hpadm.de/soest)
* [Solingen (kreisfreie Stadt)](https://unfallkarte.hpadm.de/solingen)
* [Steinfurt](https://unfallkarte.hpadm.de/steinfurt)
* [Unna](https://unfallkarte.hpadm.de/unna)
* [Viersen](https://unfallkarte.hpadm.de/viersen)
* [Warendorf](https://unfallkarte.hpadm.de/warendorf)
* [Wesel](https://unfallkarte.hpadm.de/wesel)
* [Wuppertal (kreisfreie Stadt)](https://unfallkarte.hpadm.de/wuppertal)

## Statistische Auswertungen

* https://radwege-hamm.de/dokuwiki/doku.php?id=unfallstatistik_nrw

## Javascript-Bibliotheken

jQuery

Leaflet

Leaflet Ajax

## Installation

Voraussetzungen ist ein Webserver mit PHP 8.x und eine SQL-Datenbank, z.B. MariaDB.



## Datenbankstruktur

### Table data

    -- phpMyAdmin SQL Dump
    -- version 5.1.3
    -- https://www.phpmyadmin.net/
    --
    -- Host: mariadb
    -- Erstellungszeit: 06. Okt 2023 um 10:44
    -- Server-Version: 10.9.2-MariaDB-1:10.9.2+maria~ubu2204
    -- PHP-Version: 8.1.15

    SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
    START TRANSACTION;
    SET time_zone = "+00:00";

    --
    -- Datenbank: `unfallstatistik`
    --

    -- --------------------------------------------------------

    --
    -- Tabellenstruktur für Tabelle `data`
    --

    CREATE TABLE `data` (
    `OBJECTID` int(11) NOT NULL,
    `UIDENTSTLAE` varchar(30) DEFAULT NULL,
    `ULAND` int(11) NOT NULL,
    `UREGBEZ` int(11) NOT NULL,
    `UKREIS` int(11) NOT NULL,
    `UGEMEINDE` int(11) NOT NULL,
    `UJAHR` int(11) NOT NULL,
    `UMONAT` int(11) DEFAULT NULL,
    `USTUNDE` int(11) DEFAULT NULL,
    `UWOCHENTAG` int(11) DEFAULT NULL,
    `UKATEGORIE` int(11) DEFAULT NULL,
    `UART` int(11) DEFAULT NULL,
    `UTYP1` int(11) DEFAULT NULL,
    `ULICHTVERH` int(11) DEFAULT NULL,
    `USTRZUSTAND` int(11) DEFAULT NULL,
    `IstRad` int(11) DEFAULT NULL,
    `IstPKW` int(11) DEFAULT NULL,
    `IstFuss` int(11) DEFAULT NULL,
    `IstKrad` int(11) DEFAULT NULL,
    `IstGkfz` int(11) DEFAULT NULL,
    `IstSonstige` int(11) DEFAULT NULL,
    `LINREFX` float DEFAULT NULL,
    `LINREFY` float DEFAULT NULL,
    `XGCSWGS84` float DEFAULT NULL,
    `YGCSWGS84` float DEFAULT NULL
    ) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

    --
    -- Indizes der exportierten Tabellen
    --

    --
    -- Indizes für die Tabelle `data`
    --
    ALTER TABLE `data`
    ADD PRIMARY KEY (`OBJECTID`,`ULAND`,`UREGBEZ`,`UKREIS`,`UGEMEINDE`,`UJAHR`);
    COMMIT;


### Table district

    SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
    START TRANSACTION;
    SET time_zone = "+00:00";

    --
    -- Datenbank: `unfallstatistik`
    --

    -- --------------------------------------------------------

    --
    -- Tabellenstruktur für Tabelle `district`
    --

    CREATE TABLE `district` (
    `id` int(11) NOT NULL,
    `district` varchar(40) NOT NULL,
    `title` varchar(80) NOT NULL,
    `lng` float NOT NULL,
    `lat` float NOT NULL,
    `zoom` int(11) NOT NULL,
    `geojson` varchar(40) NOT NULL,
    `ULAND` int(11) NOT NULL,
    `UREGBEZ` int(11) NOT NULL,
    `UKREIS` int(11) NOT NULL,
    `UGEMEINDE` varchar(3) NOT NULL
    ) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

    --
    -- Daten für Tabelle `district`
    --

    INSERT INTO `district` (`id`, `district`, `title`, `lng`, `lat`, `zoom`, `geojson`, `ULAND`, `UREGBEZ`, `UKREIS`, `UGEMEINDE`) VALUES
    (5, 'soest', 'Soest', 8.10716, 51.5718, 13, 'soest.geojson', 5, 9, 74, '40'),
    (6, 'hamm', 'Hamm', 7.819, 51.6813, 12, 'hamm.geojson', 5, 9, 15, '0'),
    (7, 'muelheim', 'Muelheim an der Ruhr', 6.881, 51.42, 13, 'muelheim.geojson', 5, 1, 17, '0'),
    (8, 'dortmund', 'Dortmund', 7.464, 51.51, 12, 'dortmund.geojson', 5, 9, 13, '0'),
    (9, 'unna', 'Kreis Unna', 7.708, 51.597, 11, 'unna.geojson', 5, 9, 78, '-1'),
    (10, 'muenster', 'Münster', 7.634, 51.96, 12, 'muenster.geojson', 5, 5, 15, '0'),
    (11, 'warendorf', 'Kreis Warendorf', 8.006, 51.86, 11, 'warendorf.geojson', 5, 5, 70, '-1'),
    (12, 'marl', 'Marl', 7.106, 51.6585, 13, 'marl.geojson', 5, 5, 62, '24'),
    (13, 'bochum', 'Bochum', 7.235, 51.474, 12, 'bochum.geojson', 5, 9, 11, '0'),
    (14, 'essen', 'Essen', 7.01, 51.458, 12, 'essen.geojson', 5, 1, 13, '0'),
    (15, 'wuppertal', 'Wuppertal', 7.14729, 51.2442, 12, 'wuppertal.geojson', 5, 1, 24, '0'),
    (16, 'duesseldorf', 'Düsseldorf', 6.7875, 51.225, 11, 'duesseldorf.geojson', 5, 1, 11, '0'),
    (17, 'hagen', 'Hagen', 7.48159, 51.3582, 12, 'hagen.geojson', 5, 9, 14, '0'),
    (18, 'coesfeld', 'Kreis Coesfeld', 7.37666, 51.8814, 11, 'coesfeld.geojson', 5, 5, 58, '0'),
    (19, 'bergischgladbach', 'Bergisch Gladbach', 7.14547, 50.9852, 12, 'bergischgladbach.json', 5, 3, 78, '4'),
    (21, 'rbk', 'Rheinisch Bergischer Kreis', 7.2164, 51.0364, 11, 'rbk.geojson', 5, 3, 78, '0'),
    (22, 'obk', 'Oberbergischer Kreis', 7.53397, 51.0158, 11, 'obk.geojson', 5, 3, 74, '0'),
    (23, 'rsk', 'Rhein-Sieg-Kreis', 7.23614, 50.777, 11, 'rsk.geojson', 5, 3, 82, '0'),
    (24, 'bonn', 'Bonn', 7.11524, 50.714, 12, 'bonn.geojson', 5, 3, 14, '0');

    --
    -- Indizes der exportierten Tabellen
    --

    --
    -- Indizes für die Tabelle `district`
    --
    ALTER TABLE `district`
    ADD PRIMARY KEY (`id`);

    --
    -- AUTO_INCREMENT für exportierte Tabellen
    --

    --
    -- AUTO_INCREMENT für Tabelle `district`
    --
    ALTER TABLE `district`
    MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=25;
    COMMIT;
