<?php
    require_once("../config.php");
    require_once("../lib/attributes.php");
    require_once("include.php");
    $numLand=5; // NRW
    $numRegbez=(isset($_GET['regbez'])) ? (int)$_GET['regbez'] : 1;
    $numKreis=(isset($_GET['kreis'])) ? (int)$_GET['kreis'] : 1;
    $numGemeinde=(isset($_GET['gemeinde'])) ? (int)$_GET['gemeinde'] : 1;
    $numJahr=2022;

    // Name, Population und Fläche der Gemeinde
    $result= $db->prepare("SELECT * FROM community WHERE ULAND=:land AND UREGBEZ=:regbez AND UKREIS=:kreis AND UGEMEINDE=:gemeinde");
    $result->bindParam(":land",$numLand);
    $result->bindParam(":regbez",$numRegbez);
    $result->bindParam(":kreis",$numKreis);
    $result->bindParam(":gemeinde",$numGemeinde);
    $result->execute();
    if ($row = $result->fetch(PDO::FETCH_ASSOC)) {
        $strName=$row['Name'];
        $numFlaeche=$row['Flaeche'];
        $numPopulation=$row['Einwohner'];
    }

    $strLocation=" AND ULAND=$numLand AND UREGBEZ=$numRegbez AND UKREIS=$numKreis AND UGEMEINDE=$numGemeinde ";

    //Unfallzahlen
    
    $strWhat=" SUM(UKATEGORIE=1) as Tote,
                SUM(UKATEGORIE=2) as Schwerverletzte,
                SUM(UKATEGORIE=3) as Leichtverletzte,
                COUNT(*) as gesamt";
    $strWhere= " IstRad=1 ";
    $strSQL="SELECT $strWhat FROM data 
    WHERE $strWhere 
    AND ULAND=:land AND UREGBEZ=:regbez AND UKREIS=:kreis 
    AND UGEMEINDE=:gemeinde AND UJAHR=:jahr";
    
    $result= $db->prepare($strSQL);
    $result->bindParam(":land",$numLand);
    $result->bindParam(":regbez",$numRegbez);
    $result->bindParam(":kreis",$numKreis);
    $result->bindParam(":gemeinde",$numGemeinde);
    $result->bindParam(":jahr",$numJahr); 
    $result->execute();  
    if ($row = $result->fetch(PDO::FETCH_ASSOC)) {
        $numTote=$row['Tote'];
        $numSchwerverletzte=$row['Schwerverletzte'];
        $numLeichtverletzte=$row['Leichtverletzte'];
        $numGesamt=$row['gesamt'];
    }
?>
<!DOCTYPE html>
<html lang="de">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <title>Fahrrad-Unfallstatistik NRW</title>
        <link rel="stylesheet" href="../css/bootstrap.min.css"/>
        <link rel="stylesheet" href="//cdn.datatables.net/1.13.6/css/jquery.dataTables.min.css">

        <script src="../js/jquery.min.js"></script>
        <script src="//cdn.datatables.net/1.13.6/js/jquery.dataTables.min.js"></script>
        <style>
            .rechts {text-align:right;background-color:#eee;}
            .l {border-left: 1px solid black; }
        </style>
    </head>
    <body>
   
   <!--  Navbar -->
   <nav class="navbar navbar-expand-md navbar-dark bg-dark fixed-top">
        <a class="navbar-brand" href="#">Unfallkarte</a>
        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbars" aria-controls="navbars" aria-expanded="false" aria-label="Toggle navigation">
    <span class="navbar-toggler-icon"></span>
   </button>
        <div class="collapse navbar-collapse" id="navbars">
            <ul class="navbar-nav mr-auto">
                <li class="nav-item">
                    <a class="nav-link" href="../index.php">Karte</a>
                </li>
                </ul>
            
            <div>
             <ul class="navbar-nav mr-auto right">
               <li class="nav-item active">
                    <a class="nav-link" href="index.php">Statistik <span class="sr-only">(current)</span></a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="../impressum.php">Impressum</span></a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="../datenschutz.php">Datenschutzerklärung</a>
                </li>
            </ul>
        </div>
    </nav>
    <!-- Ende Navbar -->

   
    <div class="container" style="margin-top:4em;">  
   <h1>Fahrradunfälle in <?=$strName?></h2>
   Einwohnerzahl:<?=$numPopulation?>&nbsp;&nbsp;  Fläche:<?=$numFlaeche?> km<sup>2</sup>
   <h2>Unfallzahlen</h2>
    <div class="row">
        <div class="col-5">
            <table class="table table-sm">
                    <tr><th>Unfall mit Getöteten</th><td><?=$numTote?></td></tr>
                    <tr><th>Unfall mit Schwerverletztem</th><td><?=$numSchwerverletzte?></td></tr>
                    <tr><th>Unfall mit Leichtverletztem</th><td><?=$numLeichtverletzte?></td></tr>
                    <tr><th>Gesamt</th><td><strong><?=$numGesamt?></strong></td></tr>
                </table>
        </div>
    </div>

    <div class="row">
        <div class="col-5">
            <table class="table table-sm">
                    <tr><th>Quote pro Tausend Einwohner</th><td><?= round($numGesamt/$numPopulation*1000,2) ?></td></tr>
                    <tr><th>Quote pro Fläche</th><td><?= round($numGesamt/$numFlaeche,1) ?> /km<sup>2</sup></td></tr>
                </table>
        </div>
    </div>



    <div class="row">
        <div class="col-5">
            <h4>Unfallbeteiligte</h4>
                <?php
                  echo get_beteiligte("",2022,$strLocation)
                ?> 
        </div>
    </div>


    <div class="row">
        <div class="col-5">
            <h4>Unfalltyp</h4>
            <?php
                echo get_unfalltyp("",2022,$strLocation);
            ?>
        </div>
    </div>

    <div class="row">
        <div class="col-5">
            <h4>Unfallart</h4>
            <?php
                echo get_unfallart("",2022,$strLocation);
            ?>       
        </div>
    </div>
</div>
</html>