<!DOCTYPE html>
<html lang="de">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <title>Fahrrad-Unfallstatistik NRW</title>
        <link rel="stylesheet" href="../css/bootstrap.min.css"/>
        <link rel="stylesheet" href="//cdn.datatables.net/1.13.6/css/jquery.dataTables.min.css">

        <script src="../js/jquery.min.js"></script>
        <script src="//cdn.datatables.net/1.13.6/js/jquery.dataTables.min.js"></script>
        <style>
            .rechts {text-align:right;background-color:#eee;}
            .l {border-left: 1px solid black; }
        </style>
    </head>
    <body>
   
   <!--  Navbar -->
   <nav class="navbar navbar-expand-md navbar-dark bg-dark fixed-top">
        <a class="navbar-brand" href="#">Unfallkarte</a>
        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbars" aria-controls="navbars" aria-expanded="false" aria-label="Toggle navigation">
    <span class="navbar-toggler-icon"></span>
   </button>
        <div class="collapse navbar-collapse" id="navbars">
            <ul class="navbar-nav mr-auto">
                <li class="nav-item">
                    <a class="nav-link" href="../index.php">Karte</a>
                </li>
                </ul>
            
            <div>
             <ul class="navbar-nav mr-auto right">
               <li class="nav-item active">
                    <a class="nav-link" href="index.php">Statistik <span class="sr-only">(current)</span></a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="../impressum.php">Impressum</span></a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="../datenschutz.php">Datenschutzerklärung</a>
                </li>
            </ul>
        </div>
    </nav>
    <!-- Ende Navbar -->


    <div class="container-fluid" style="margin-top:4em;"> 
   <h1>Fahrradunfälle in Nordrhein-Westfalen in Gemeinden</h2>
   <table id="unfallzahlen" class="display">
    <thead>
        <tr><th></th>
            <th colspan="4">Fahrradunfälle</th>
            <th colspan="4">Todesfälle</th>
            <th colspan="4">Schwerverletzte</th>
            <th colspan="4">Leichtverletzte</th>
            <th class='l'>Fäche</th>
            <th>Einw.</th>
            <th>Quote</th>
            
        </tr>
        <tr><th>Name</th>
            <th class='l'>2022</th><th>2021</th><th>2020</th><th>2019</th>
            <th class='l'>2022</th><th>2021</th><th>2020</th><th>2019</th>
            <th class='l'>2022</th><th>2021</th><th>2020</th><th>2019</th>
            <th class='l'>2022</th><th>2021</th><th>2020</th><th>2019</th>
            <th class='l' colspan="2">in Tausend</th><th></th>
        </tr>
    </thead>
    <tbody>
    <?php

require("../config.php");
 
$strSQL="SELECT d.Name as Gemeinde, 
            SUM(UJAHR=2022) as Jahr_2022, 
            SUM(UJAHR=2021) as Jahr_2021, 
            SUM(UJAHR=2020) as Jahr_2020, 
            SUM(UJAHR=2019) as Jahr_2019, 

            SUM(UJAHR=2022 AND UKATEGORIE=1) as Tode_2022, 
            SUM(UJAHR=2021 AND UKATEGORIE=1) as Tode_2021, 
            SUM(UJAHR=2020 AND UKATEGORIE=1) as Tode_2020, 
            SUM(UJAHR=2019 AND UKATEGORIE=1) as Tode_2019,

            SUM(UJAHR=2022 AND UKATEGORIE=2) as Schwerverletzt_2022, 
            SUM(UJAHR=2021 AND UKATEGORIE=2) as Schwerverletzt_2021, 
            SUM(UJAHR=2020 AND UKATEGORIE=2) as Schwerverletzt_2020, 
            SUM(UJAHR=2019 AND UKATEGORIE=2) as Schwerverletzt_2019,

            SUM(UJAHR=2022 AND UKATEGORIE=3) as Leichtverletzt_2022, 
            SUM(UJAHR=2021 AND UKATEGORIE=3) as Leichtverletzt_2021, 
            SUM(UJAHR=2020 AND UKATEGORIE=3) as Leichtverletzt_2020, 
            SUM(UJAHR=2019 AND UKATEGORIE=3) as Leichtverletzt_2019,
            Flaeche, Einwohner,
            SUM(UJAHR=2022)/d.Einwohner*1000 as Quote_2022,
            d.ULAND,
            d.UREGBEZ,
            d.UKREIS,
            d.UGEMEINDE
        FROM data s, community d
        WHERE IstRad=1 
        AND d.ULAND=s.ULAND AND d.UREGBEZ=s.UREGBEZ AND d.UKREIS=s.UKREIS AND d.UGEMEINDE=s.UGEMEINDE
        GROUP BY s.ULAND, s.UREGBEZ, s.UKREIS,s.UGEMEINDE 
        ORDER BY Quote_2022 DESC
        ";
        // --- ORDER BY s.ULAND, s.UREGBEZ, s.UKREIS,s.UGEMEINDE 

$result=$db->query($strSQL);

while ($row = $result->fetch(PDO::FETCH_ASSOC)) {
    echo "<tr>";
    echo "<td><a href='gemeinde_detail.php?regbez=".$row['UREGBEZ']."&kreis=".$row['UKREIS']."&gemeinde=".$row['UGEMEINDE']."'>".$row['Gemeinde']."</a></td>";
    echo "<td class='l'>".$row['Jahr_2022']."</td>";
    echo "<td>".$row['Jahr_2021']."</td>";
    echo "<td>".$row['Jahr_2020']."</td>";
    echo "<td>".$row['Jahr_2019']."</td>";
    echo "<td class='l'>".$row['Tode_2022']."</td>";
    echo "<td>".$row['Tode_2021']."</td>";
    echo "<td>".$row['Tode_2020']."</td>";
    echo "<td>".$row['Tode_2019']."</td>";
    echo "<td class='l'>".$row['Schwerverletzt_2022']."</td>";
    echo "<td>".$row['Schwerverletzt_2021']."</td>";
    echo "<td>".$row['Schwerverletzt_2020']."</td>";
    echo "<td>".$row['Schwerverletzt_2019']."</td>";
    echo "<td class='l'>".$row['Leichtverletzt_2022']."</td>";
    echo "<td>".$row['Leichtverletzt_2021']."</td>";
    echo "<td>".$row['Leichtverletzt_2020']."</td>";
    echo "<td>".$row['Leichtverletzt_2019']."</td>";   
    echo "<td class='rechts l'>".$row['Flaeche']."</td>"; 
    echo "<td class='rechts'>".round($row['Einwohner']/1000,1)."</td>";
    echo "<td class='rechts'>".round($row['Quote_2022'],2)."</td>";   
    echo "</tr>\n";
}
?>
</tbody>
</table>

</div>
</body>
<script>
    let table = new DataTable('#unfallzahlen',{
           pageLength : 50
        });
</script>
</html>
